代码拉取完成,页面将自动刷新
同步操作将从 jiujiangxueyuan/DevOps-Bash-tools 强制同步,此操作会覆盖自 Fork 仓库以来所做的任何修改,且无法恢复!!!
确定后同步将在后台操作,完成时将刷新页面,请耐心等待。
#!/usr/bin/env bash
# vim:ts=4:sts=4:sw=4:et
#
# Author: Hari Sekhon
# Date: 2019-10-01 17:18:03 +0100 (Tue, 01 Oct 2019)
#
# https://github.com/harisekhon/bash-tools
#
# License: see accompanying Hari Sekhon LICENSE file
#
# If you're using my code you're welcome to connect with me on LinkedIn and optionally send me feedback to help improve or steer this or other code I publish
#
# http://www.linkedin.com/in/harisekhon
#
set -euo pipefail
[ -n "${DEBUG:-}" ] && set -x
srcdir="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
# shellcheck source=lib/utils.sh
. "$srcdir/lib/utils.sh"
filelist="$(find "${1:-.}" -type f -name '*.json' | sort)"
if [ -z "$filelist" ]; then
return 0 &>/dev/null ||
exit 0
fi
section "JSON Syntax Checks"
start_time="$(start_timer)"
if [ -n "${NOSYNTAXCHECK:-}" ]; then
echo "\$NOSYNTAXCHECK environment variable set, skipping JSON syntax checks"
echo
elif [ -n "${QUICK:-}" ]; then
echo "\$QUICK environment variable set, skipping JSON syntax checks"
echo
else
if ! command -v jsonlint &>/dev/null; then
echo "jsonlint not found in \$PATH, not running JSON syntax checks"
return 0 &>/dev/null || exit 0
fi
max_len=0
for x in $filelist; do
if [ ${#x} -gt $max_len ]; then
max_len=${#x}
fi
done
# to account for the semi colon
((max_len + 1))
for x in $filelist; do
isExcluded "$x" && continue
printf "%-${max_len}s " "$x:"
set +eo pipefail
output="$(jsonlint "$x")"
# shellcheck disable=SC2181
if [ $? -eq 0 ]; then
echo "OK"
else
echo "FAILED"
if [ -z "${QUIET:-}" ]; then
echo
echo "$output"
echo
fi
if [ -z "${NOEXIT:-}" ]; then
return 1 &>/dev/null || exit 1
fi
fi
set -eo pipefail
done
time_taken "$start_time"
section2 "All JSON files passed syntax check"
fi
echo
此处可能存在不合适展示的内容,页面不予展示。您可通过相关编辑功能自查并修改。
如您确认内容无涉及 不当用语 / 纯广告导流 / 暴力 / 低俗色情 / 侵权 / 盗版 / 虚假 / 无价值内容或违法国家有关法律法规的内容,可点击提交进行申诉,我们将尽快为您处理。